### Class

# PapersView SearchResult

#### Description

    class PapersView.SearchResult : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### pps_search_result_new

No description available.

#### Instance methods

###### pps_search_result_append_rectangle

Appends a rectangle to the search result. This should not be used outside the creation of the search result.

###### pps_search_result_get_global_index

No description available.

since: 48.0

###### pps_search_result_get_index

No description available.

###### pps_search_result_get_label

No description available.

###### pps_search_result_get_markup

No description available.

###### pps_search_result_get_page

No description available.

###### pps_search_result_get_rectangle_list

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewSearchResultClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.